SystemOrganization addCategory: #SWA014!

RectangleMorph subclass: #SWA014FlyingObject
	instanceVariableNames: 'size speed id'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWA014'!

SWA014FlyingObject subclass: #SWA014Enemy
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWA014'!

!SWA014FlyingObject methodsFor: 'as yet unclassified' stamp: 'M.V. 11/4/2016 12:34'!
size 
	^size.! !

!SWA014FlyingObject methodsFor: 'as yet unclassified' stamp: 'M.V. 11/4/2016 12:34'!
size: x
	size := x.! !

!SWA014FlyingObject methodsFor: 'as yet unclassified' stamp: 'M.V. 11/4/2016 12:37'!
speed
	^speed.! !

!SWA014FlyingObject methodsFor: 'as yet unclassified' stamp: 'M.V. 11/4/2016 12:37'!
speed: x
	speed := x.! !

SWA014FlyingObject subclass: #SWA014Player
	instanceVariableNames: 'number'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWA014'!

!SWA014Player methodsFor: 'as yet unclassified' stamp: 'M.V. 11/4/2016 12:42'!
number
	^number.! !

!SWA014Player methodsFor: 'as yet unclassified' stamp: 'M.V. 11/4/2016 12:41'!
number: x
	number := x.! !

Object subclass: #SWA014Game
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWA014'!

SWA014Game class
	instanceVariableNames: 'swaworld'!

SWA014Game class
	instanceVariableNames: 'swaworld'!

!SWA014Game class methodsFor: 'accsessors' stamp: 'M.V. 11/4/2016 15:05'!
swaworld
	^swaworld.! !

!SWA014Game class methodsFor: 'accsessors' stamp: 'M.V. 11/4/2016 15:06'!
swaworld: x
	swaworld := x.! !

Object subclass: #SWA014World
	instanceVariableNames: 'size listOfEnemies'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWA014'!

!SWA014World methodsFor: 'deletingObjects' stamp: 'Tc 11/11/2016 11:54'!
"TODO: delete this method; this method only helps us controlling all objects, we don't need anymore for tests"
destroyAllEnemies
	self listOfEnemies do: 
	[:x| x delete]! !

!SWA014World methodsFor: 'accessing' stamp: 'M.V. 11/4/2016 14:26'!
height
	^World bounds corner y.! !

!SWA014World methodsFor: 'accessing' stamp: 'M.V. 11/4/2016 14:37'!
listOfEnemies
	^ listOfEnemies! !

!SWA014World methodsFor: 'accessing' stamp: 'M.V. 11/4/2016 14:37'!
listOfEnemies: anObject
	listOfEnemies := anObject! !

!SWA014World methodsFor: 'accessing' stamp: 'M.V. 11/4/2016 13:07'!
size
	^size! !

!SWA014World methodsFor: 'accessing' stamp: 'M.V. 11/4/2016 12:47'!
size: anObject
	size := anObject! !

!SWA014World methodsFor: 'spawning' stamp: 'Tc 11/11/2016 11:51'!
spawnEnemy
"spawns SWA014Enemys up to the specified number"
|enemy random r1 r2|
self listOfEnemies: Bag new.
1 to: 10 do:
[:x|	
	enemy := SWA014Enemy new openInWorld.
	random := Random new.
	r1 := random nextInt: self width.
	r2 := random nextInt: self height.
	enemy position: (r1@r2).
	self listOfEnemies add: enemy.   
]! !

!SWA014World methodsFor: 'spawning' stamp: 'Tc 11/11/2016 11:52'!
"TODO: implement; this is an extension and shouldn't be implemented until the basic game works"
spawnPowerup! !

!SWA014World methodsFor: 'accessing' stamp: 'Tc 11/11/2016 12:01'!
width
	^ World bounds corner x.! !
